Subject: Ticket Assigned - ESCALATION : COMPLAINT | Haven't received my order | Order no: 9520556510
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 26 Dec 2021 11:57:40 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  ESCALATION : COMPLAINT | Haven't received my order | Order no: 9520556510  Hi team,

It's been 2 days now, my order number: 9520556510 which was supposed to deliver on 24dec (See the screenshot) is still not delivered.
I have made almost 6-7 calls and follow-up on WhatsApp 5-6 times(screenshot), raised a complaint: 3660660 also but nothing happened.
If I would have known I will get this kind of service from Centrepoint, I would have never order from you.
Seriously so frustrating and worst experience.

-Ashish
+971565006362

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3668720